// Template for components
<template>
  <div class="container-dark">
    <form>
      <input
        class="input-dark"
        type="text"
        v-model="result"
        @keypress.prevent
      />
    </form>
    <div class="keypad">
      <button @click="clearInput" class="highlighted-dark darkTheme-btn">
        Clear
      </button>
      <button @click="backspace" class="highlighted-dark darkTheme-btn">
        ⌫
      </button>
      <button
        @click="getPercent"
        class="highlighted-dark darkTheme-btn"
        name="%"
      >
        &#37;
      </button>
      <button @click="clickKey" class="highlighted-dark darkTheme-btn" name="/">
        &divide;
      </button>
      <button @click="clickKey" class="darkTheme-btn" name="7">7</button>
      <button @click="clickKey" class="darkTheme-btn" name="8">8</button>
      <button @click="clickKey" class="darkTheme-btn" name="9">9</button>
      <button @click="clickKey" class="highlighted-dark darkTheme-btn" name="*">
        &times;
      </button>
      <button @click="clickKey" class="darkTheme-btn" name="4">4</button>
      <button @click="clickKey" class="darkTheme-btn" name="5">5</button>
      <button @click="clickKey" class="darkTheme-btn" name="6">6</button>
      <button @click="clickKey" class="highlighted-dark darkTheme-btn" name="-">
        &ndash;
      </button>
      <button @click="clickKey" class="darkTheme-btn" name="1">1</button>
      <button @click="clickKey" class="darkTheme-btn" name="2">2</button>
      <button @click="clickKey" class="darkTheme-btn" name="3">3</button>
      <button @click="clickKey" class="highlighted-dark darkTheme-btn" name="+">
        +
      </button>
      <button @click="clickKey" class="darkTheme-btn" name=".">.</button>
      <button @click="clickKey" class="darkTheme-btn" name="0">0</button>
      <button @click="getResult" class="major darkTheme-btn">=</button>
    </div>
  </div>
</template>

/** Script Starts from here */
<script>
export default {
  data() {
    return {
      result: "",
      darkMode:true,
    };
  },
  methods: {
    clickKey(e) {
      let inputString = this.result + e.target.name;
      this.result = inputString;
    },
    getPercent() {
      let inputString = eval(this.result / 100).toString();
      return (this.result = inputString);
    },
    getResult() {
      try {
        let inputString = eval(this.result).toString();
        return (this.result = inputString);
      } catch (err) {
        this.result = "error";
      }
    },
    clearInput() {
      return (this.result = "");
    },
    backspace() {
      let inputString = this.result.slice(0, this.result.length - 1);
      return (this.result = inputString);
    },
    onKeyPress(e) {
      e.preventDefault();
    },
  },
};
</script>

/* Styles for Component*/
<style>
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital@1&display=swap");

* {
  font-family: "Poppins", sans-serif;
  font-size: 18px;
}
body {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #27a397;
}


.container-dark {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  margin: 0 auto;
  width: 35%;
  text-align: center;
  border: 10px solid var(--border);
  background: var(--background-calculator);
  border-radius: 15px;
  box-shadow: 0 0 25px #0b3e41;
}
.input-dark {
  height: 20vh;
  width: 90%;
  background-color: var(--input-color);
  border: 0px;
  color: var(--input-text);
  font-size: 28px;
  font-weight: 500;
  text-align: right;
  letter-spacing: 1px;
}
input:focus,
input:active,
button:focus,
button:active {
  outline: none;
}

.keypad {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-auto-rows: minmax(80px, auto);
  /* background: #858f8f; */
}
.darkTheme-btn {
  margin: 0.5px;
  border: none;
  border-radius: 3px;
  cursor: pointer;
  color: var(--input-text);
  background: var(--btn-color);
}
.highlighted-dark {
  background: var(--highlight);
}
.major {
  background: var(--major);
  grid-column: 3/5;
  grid-row: 5;
}
@media (max-width: 700px) {
  .container-dark {
    width: 90%;
    text-align: center;
    border: 10px solid var(--border);
    background: var(--background-calculator);
    border-radius: 15px;
    box-shadow: 0 0 25px #0b3e41;
  }
}
</style>
